%%% Parameter F, Influence Graphs%%%
I_teta_teta= [I_ff    I_bf'   I_ftau  I_ffi; 
              I_bf    I_bb    I_btau  I_bfi;
              I_ffi'  I_bfi'  I_fifi  I_taufi';
              I_ftau' I_btau' I_taufi I_tautau];

if I_teta_teta==I_teta_teta'
      
   disp('Matrix I_teta_teta is symmetric')
else 
   disp('Matrix I_teta_teta is not symmetric')
end

I_teta_teta=(I_teta_teta'+I_teta_teta)/2; %Making matrix symmetric
[df1 df2]=size(tau_nor); %%Calculating scale parameter dimension
par_total=p2+r+df1; %%Calculating total number of parameters
I_F=I_teta_teta(r+1:par_total,r+1:par_total);
B_F=[zeros(r,r),zeros(r,p2+df1);zeros(p2+df1,r),inv(I_F)];
aux=(0:1:n+1);

%Case-weight perturbation
B_1=DELTA1'*(inv(I_teta_teta)-B_F)*DELTA1;
B_1=(B_1'+B_1)/2;
VpropiosB_1=eig(B_1);			%eigen value
[eB1,fB1]=eig(B_1);	
posi=find(abs(VpropiosB_1)==max(abs(VpropiosB_1))); %max eigen value
lmax_B1pond=eB1(:,posi);			%max eigen vector
Ci_B1pond=2*abs(diag(B_1));

%Explanatory variable perturbation
B_2=DELTA2'*(inv(I_teta_teta)-B_F)*DELTA2;
B_2=(B_2'+B_2)/2;
VpropiosB_2=eig(B_2);			%eigen value
[eB2,fB2]=eig(B_2);	
posi=find(abs(VpropiosB_2)==max(abs(VpropiosB_2))); %max eigen value
lmax_B2pond=eB2(:,posi);			%max eigen vector
Ci_B2pond=2*abs(diag(B_2));

%Scale perturbation
B_3=DELTA3'*(inv(I_teta_teta)-B_F)*DELTA3;
B_3=(B_3'+B_3)/2;
VpropiosB_3=eig(B_3);			%eigen value
[eB3,fB3]=eig(B_3);	
posi=find(abs(VpropiosB_3)==max(abs(VpropiosB_3))); %max eigen value
lmax_B3escala=eB3(:,posi);			%max eigen vector
Ci_B3escala=2*abs(diag(B_3));

figure(111)
plot(Ci_B1pond,'.')
corteB1_pond=2*mean(Ci_B1pond);
line(aux,ones(n+2,1)*corteB1_pond)
title('Power exponential')
xlabel('Index')
ylabel('C_i')

aux_a=(0:1:(n*m2)+1);
figure(222)
plot(Ci_B2pond,'.')
corteB2_pond=4*mean(Ci_B2pond);
line(aux_a,ones(n*m2+2,1)*corteB2_pond)
title('Power exponential')
xlabel('Index')
ylabel('C_i')

figure(333)
plot(Ci_B3escala,'.')
corteB3_escala=2*mean(Ci_B3escala);
line(aux,ones(n+2,1)*corteB3_escala)
title('Power exponential')
xlabel('Index')
ylabel('C_i')

figure(444)
plot(abs(lmax_B1pond),'.')
title('Power exponential')
xlabel('Index')
ylabel('|lmax|') 

figure(555)
plot(abs(lmax_B2pond),'.')
title('Power exponential')
xlabel('Index')
ylabel('|lmax|')

figure(666)
plot(abs(lmax_B3escala),'.')
title('Power exponential')
xlabel('Index')
ylabel('|lmax|')  